lint-flood:
  stage: lint
  rules:
    changes:
      - flood/**/*
  script:
    - helm lint flood

release-flood:
  stage: release
  needs:
    - lint-flood
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      changes:
        - flood/**/*
  script:
    - apk add --no-cache git
    - helm plugin install https://github.com/chartmuseum/helm-push.git
    - helm repo add --username gitlab-ci-token --password $CI_JOB_TOKEN repo ${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/helm/stable
    - helm cm-push flood repo
